MonthPicker

MonthPicker is a type of drop-down cell style in SpreadJS. Using JavaScript code, the developer can define a starting year, ending year, and height of the Month Picker. When set as a style on a cell in the workbook, the user can click on the drop-down arrow to select a month that will be displayed in that cell. An example of this drop-down is shown in the spreadsheet below.

Description
app.js
index.html
styles.css
Copy to CodeMine

Drop-downs provide a developer the ability to add a drop-down menu with specific properties to cells in a workbook. These drop-down menus don't require any extra code other than simply specifying which one to use for the drop-down menu.

SpreadJS has 9 different kinds of drop-downs, and this demo shows how to use the Month Picker.

You can use MonthPicker drop-down with the following code :

    // The way of click the dropdown icon to open MonthPicker. 
   var monthPickerStyle = new GC.Spread.Sheets.Style();
       monthPickerStyle.cellButtons = [
           {
               imageType: GC.Spread.Sheets.ButtonImageType.dropdown,
               command: "openMonthPicker",
               useButtonStyle: true,
           }
       ];

       monthPickerStyle.dropDowns = [
           {
               type: GC.Spread.Sheets.DropDownType.monthPicker,
               option: {
                   startYear: 2009,
                   stopYear: 2019,
                   height: 300,
               }
           }
       ];
       sheet.setText(1, 5, "Month Picker");
       sheet.setStyle(2, 5, monthPickerStyle);

       // The way just open MonthPicker with command rather then clicking the dropdown button.
       spread.commandManager().execute({cmd:"openMonthPicker",row:2,col:11,sheetName:"Sheet1"});

There are several item in options that can customize the MonthPicker.

  • startYear: number : Specify the month picker's start year, default value is ten year ago.
  • stopYear: number : Specify the month picker's start year, default value is this year.
  • height: number : Specify the DOM's height of month picker, default value is 300.
Drop-downs provide a developer the ability to add a drop-down menu with specific properties to cells in a workbook. These drop-down menus don't require any extra code other than simply specifying which one to use for the drop-down menu. SpreadJS has 9 different kinds of drop-downs, and this demo shows how to use the Month Picker. You can use MonthPicker drop-down with the following code : There are several item in options that can customize the MonthPicker. startYear: number : Specify the month picker's start year, default value is ten year ago. stopYear: number : Specify the month picker's start year, default value is this year. height: number : Specify the DOM's height of month picker, default value is 300.
var spreadNS = GC.Spread.Sheets; window.onload = function () { var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss")); initSpread(spread); }; function initSpread(spread) { var sheet = spread.getSheet(0); sheet.suspendPaint(); // -------------------- Month Picker --------------------- var monthPickerStyle = new GC.Spread.Sheets.Style(); monthPickerStyle.cellButtons = [ { imageType: GC.Spread.Sheets.ButtonImageType.dropdown, command: "openMonthPicker", useButtonStyle: true, } ]; monthPickerStyle.dropDowns = [ { type: GC.Spread.Sheets.DropDownType.monthPicker, option: { startYear: 2009, stopYear: 2019, height: 300, } } ]; sheet.setText(1, 5, "Month Picker"); sheet.setStyle(2, 5, monthPickerStyle); // -------------------- Month Picker --------------------- var monthPickerStyle = new GC.Spread.Sheets.Style(); monthPickerStyle.cellButtons = [ { imageType: GC.Spread.Sheets.ButtonImageType.dropdown, command: "openMonthPicker", useButtonStyle: true, } ]; monthPickerStyle.dropDowns = [ { type: GC.Spread.Sheets.DropDownType.monthPicker, option: { startYear: 1970, stopYear: 2030, height: 400, } } ]; sheet.setText(1, 11, "Month Picker"); sheet.setStyle(2, 11, monthPickerStyle); sheet.resumePaint(); spread.commandManager().execute({cmd:"openMonthPicker",row:2,col:5,sheetName:"Sheet1"}); }
<!doctype html> <html style="height:100%;font-size:14px;"> <head> <meta charset="utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0" /> <link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css"> <script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script> <script src="app.js" type="text/javascript"></script> <link rel="stylesheet" type="text/css" href="styles.css"> </head> <body> <div class="sample-tutorial"> <div id="ss" style="width:100%; height: 100%"></div> </div> </body> </html>
.sample-tutorial { position: relative; height: 100%; overflow: hidden; } body { position: absolute; top: 0; bottom: 0; left: 0; right: 0; }

MonthPicker

MonthPicker is a type of drop-down cell style in SpreadJS. Using JavaScript code, the developer can define a starting year, ending year, and height of the Month Picker. When set as a style on a cell in the workbook, the user can click on the drop-down arrow to select a month that will be displayed in that cell. An example of this drop-down is shown in the spreadsheet below.

Description
app.vue
index.html
Copy to CodeMine

Drop-downs provide a developer the ability to add a drop-down menu with specific properties to cells in a workbook. These drop-down menus don't require any extra code other than simply specifying which one to use for the drop-down menu.

SpreadJS has 9 different kinds of drop-downs, and this demo shows how to use the Month Picker.

You can use MonthPicker drop-down with the following code :

    // The way of click the dropdown icon to open MonthPicker. 
   var monthPickerStyle = new GC.Spread.Sheets.Style();
       monthPickerStyle.cellButtons = [
           {
               imageType: GC.Spread.Sheets.ButtonImageType.dropdown,
               command: "openMonthPicker",
               useButtonStyle: true,
           }
       ];

       monthPickerStyle.dropDowns = [
           {
               type: GC.Spread.Sheets.DropDownType.monthPicker,
               option: {
                   startYear: 2009,
                   stopYear: 2019,
                   height: 300,
               }
           }
       ];
       sheet.setText(1, 5, "Month Picker");
       sheet.setStyle(2, 5, monthPickerStyle);

       // The way just open MonthPicker with command rather then clicking the dropdown button.
       spread.commandManager().execute({cmd:"openMonthPicker",row:2,col:11,sheetName:"Sheet1"});

There are several item in options that can customize the MonthPicker.

  • startYear: number : Specify the month picker's start year, default value is ten year ago.
  • stopYear: number : Specify the month picker's start year, default value is this year.
  • height: number : Specify the DOM's height of month picker, default value is 300.
Drop-downs provide a developer the ability to add a drop-down menu with specific properties to cells in a workbook. These drop-down menus don't require any extra code other than simply specifying which one to use for the drop-down menu. SpreadJS has 9 different kinds of drop-downs, and this demo shows how to use the Month Picker. You can use MonthPicker drop-down with the following code : There are several item in options that can customize the MonthPicker. startYear: number : Specify the month picker's start year, default value is ten year ago. stopYear: number : Specify the month picker's start year, default value is this year. height: number : Specify the DOM's height of month picker, default value is 300.
<template> <div class="sample-tutorial"> <gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread"> </gc-spread-sheets> </div> </template> <script> import Vue from "vue"; import "@mescius/spread-sheets-vue"; import GC from "@mescius/spread-sheets"; let App = Vue.extend({ name: "app", data: function () { return { spread: null }; }, methods: { createMonthPickerStyle(startYear, stopYear, height) { let monthPickerStyle = new GC.Spread.Sheets.Style(); monthPickerStyle.cellButtons = [{ imageType: GC.Spread.Sheets.ButtonImageType.dropdown, command: "openMonthPicker", useButtonStyle: true, }]; monthPickerStyle.dropDowns = [{ type: GC.Spread.Sheets.DropDownType.monthPicker, option: { startYear: startYear, stopYear: stopYear, height: height } }]; return monthPickerStyle; }, initSpread(spread) { let sheet = spread.getSheet(0); sheet.suspendPaint(); sheet.setText(1, 5, "Month Picker"); sheet.setStyle(2, 5, this.createMonthPickerStyle(2009, 2019, 300)); sheet.setText(1, 11, "Month Picker"); sheet.setStyle(2, 11, this.createMonthPickerStyle(1970, 2030, 400)); sheet.resumePaint(); spread.commandManager().execute({ cmd: "openMonthPicker", row: 2, col: 5, sheetName: "Sheet1" }); } } }); new Vue({ render: h => h(App) }).$mount("#app"); </script> <style> .sample-tutorial { position: relative; height: 100%; overflow: hidden; } .sample-spreadsheets { width: 100%; height: 100%; overflow: hidden; float: left; } body { position: absolute; top: 0; bottom: 0; left: 0; right: 0; } </style>
<!doctype html> <html style="height:100%;font-size:14px;"> <head> <meta charset="utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0" /> <link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/vue/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css"> <!-- SystemJS --> <script src="$DEMOROOT$/en/vue/node_modules/systemjs/dist/system.src.js"></script> <script src="systemjs.config.js"></script> <script> System.import('./src/app.vue'); System.import('$DEMOROOT$/en/lib/vue/license.js'); </script> </head> <body> <div id="app"></div> </body> </html>
(function (global) { System.config({ transpiler: 'plugin-babel', babelOptions: { es2015: true }, meta: { '*.css': { loader: 'css' }, '*.vue': { loader: 'vue-loader' } }, paths: { // paths serve as alias 'npm:': 'node_modules/' }, // map tells the System loader where to look for things map: { '@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js', '@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js', '@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js', 'jszip': 'npm:jszip/dist/jszip.js', 'css': 'npm:systemjs-plugin-css/css.js', 'vue': 'npm:vue/dist/vue.min.js', 'vue-loader': 'npm:systemjs-vue-browser/index.js', 'tiny-emitter': 'npm:tiny-emitter/index.js', 'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js', 'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js' }, // packages tells the System loader how to load when no filename and/or no extension packages: { src: { defaultExtension: 'js' }, rxjs: { defaultExtension: 'js' }, "node_modules": { defaultExtension: 'js' } } }); })(this);

Drop-downs provide a developer the ability to add a drop-down menu with specific properties to cells in a workbook. These drop-down menus don't require any extra code other than simply specifying which one to use for the drop-down menu.
SpreadJS has 9 different kinds of drop-downs, and this demo shows how to use the Month Picker.
You can use MonthPicker drop-down with the following code :
There are several item in options that can customize the MonthPicker.
startYear: number : Specify the month picker's start year, default value is ten year ago.
stopYear: number : Specify the month picker's start year, default value is this year.
height: number : Specify the DOM's height of month picker, default value is 300.
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
hostStyle = {
width: '100%',
height: '100%',
overflow: 'hidden',
float: 'left'
};
constructor() {
}
createMonthPickerStyle(startYear: number, stopYear: number, height: number) {
let monthPickerStyle = new GC.Spread.Sheets.Style();
monthPickerStyle.cellButtons = [
{
imageType: GC.Spread.Sheets.ButtonImageType.dropdown,
command: "openMonthPicker",
useButtonStyle: true,
}
];
monthPickerStyle.dropDowns = [
{
type: GC.Spread.Sheets.DropDownType.monthPicker,
option: {
startYear: startYear,
stopYear: stopYear,
height: height
}
}
];
return monthPickerStyle;
}
initSpread($event: any) {
let spread: GC.Spread.Sheets.Workbook = $event.spread;
let sheet = spread.getSheet(0);
sheet.suspendPaint();
sheet.setText(1, 5, "Month Picker");
sheet.setStyle(2, 5, this.createMonthPickerStyle(2009, 2019, 300));
sheet.setText(1, 11, "Month Picker");
sheet.setStyle(2, 11, this.createMonthPickerStyle(1970, 2030, 400));
sheet.resumePaint();
spread.commandManager().execute({ cmd: "openMonthPicker", row: 2, col: 5, sheetName: "Sheet1" });
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
</gc-spread-sheets>
</div>
.sample-tutorial {
position: relative;
width: 100%;
height: 100%;
overflow: hidden;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);

MonthPicker

MonthPicker is a type of drop-down cell style in SpreadJS. Using JavaScript code, the developer can define a starting year, ending year, and height of the Month Picker. When set as a style on a cell in the workbook, the user can click on the drop-down arrow to select a month that will be displayed in that cell. An example of this drop-down is shown in the spreadsheet below.

Description
app.jsx
app-func.jsx
app-class.jsx
index.html
styles.css
Copy to CodeMine

Drop-downs provide a developer the ability to add a drop-down menu with specific properties to cells in a workbook. These drop-down menus don't require any extra code other than simply specifying which one to use for the drop-down menu.

SpreadJS has 9 different kinds of drop-downs, and this demo shows how to use the Month Picker.

You can use MonthPicker drop-down with the following code :

    // The way of click the dropdown icon to open MonthPicker. 
   var monthPickerStyle = new GC.Spread.Sheets.Style();
       monthPickerStyle.cellButtons = [
           {
               imageType: GC.Spread.Sheets.ButtonImageType.dropdown,
               command: "openMonthPicker",
               useButtonStyle: true,
           }
       ];

       monthPickerStyle.dropDowns = [
           {
               type: GC.Spread.Sheets.DropDownType.monthPicker,
               option: {
                   startYear: 2009,
                   stopYear: 2019,
                   height: 300,
               }
           }
       ];
       sheet.setText(1, 5, "Month Picker");
       sheet.setStyle(2, 5, monthPickerStyle);

       // The way just open MonthPicker with command rather then clicking the dropdown button.
       spread.commandManager().execute({cmd:"openMonthPicker",row:2,col:11,sheetName:"Sheet1"});

There are several item in options that can customize the MonthPicker.

  • startYear: number : Specify the month picker's start year, default value is ten year ago.
  • stopYear: number : Specify the month picker's start year, default value is this year.
  • height: number : Specify the DOM's height of month picker, default value is 300.
Drop-downs provide a developer the ability to add a drop-down menu with specific properties to cells in a workbook. These drop-down menus don't require any extra code other than simply specifying which one to use for the drop-down menu. SpreadJS has 9 different kinds of drop-downs, and this demo shows how to use the Month Picker. You can use MonthPicker drop-down with the following code : There are several item in options that can customize the MonthPicker. startYear: number : Specify the month picker's start year, default value is ten year ago. stopYear: number : Specify the month picker's start year, default value is this year. height: number : Specify the DOM's height of month picker, default value is 300.
import * as React from 'react'; import * as ReactDOM from 'react-dom'; import './styles.css'; import { AppFunc } from './app-func'; // import { App } from './app-class'; // 1. Functional Component sample ReactDOM.render(<AppFunc />, document.getElementById('app')); // 2. Class Component sample // ReactDOM.render(<App />, document.getElementById('app'));
import * as React from 'react'; import GC from '@mescius/spread-sheets'; import { SpreadSheets } from '@mescius/spread-sheets-react'; export function AppFunc() { const createMonthPickerStyle = (startYear, stopYear, height) => { let monthPickerStyle = new GC.Spread.Sheets.Style(); monthPickerStyle.cellButtons = [ { imageType: GC.Spread.Sheets.ButtonImageType.dropdown, command: "openMonthPicker", useButtonStyle: true, } ]; monthPickerStyle.dropDowns = [ { type: GC.Spread.Sheets.DropDownType.monthPicker, option: { startYear: startYear, stopYear: stopYear, height: height } } ]; return monthPickerStyle; } const initSpread = (spread) => { let sheet = spread.getSheet(0); sheet.suspendPaint(); sheet.setText(1, 5, "Month Picker"); sheet.setStyle(2, 5, createMonthPickerStyle(2009, 2019, 300)); sheet.setText(1, 11, "Month Picker"); sheet.setStyle(2, 11, createMonthPickerStyle(1970, 2030, 400)); sheet.resumePaint(); spread.commandManager().execute({ cmd: "openMonthPicker", row: 2, col: 5, sheetName: "Sheet1" }); } return (<div class="sample-tutorial"> <div class="sample-spreadsheets"> <SpreadSheets workbookInitialized={initSpread}> </SpreadSheets> </div> </div>); }
import * as React from 'react'; import GC from '@mescius/spread-sheets'; import { SpreadSheets } from '@mescius/spread-sheets-react'; const Component = React.Component; export class App extends Component { constructor(props) { super(props); this.spread = null; this.autoGenerateColumns = false; } render() { return (<div class="sample-tutorial"> <div class="sample-spreadsheets"> <SpreadSheets workbookInitialized={spread => this.initSpread(spread)}> </SpreadSheets> </div> </div>); } createMonthPickerStyle(startYear, stopYear, height) { let monthPickerStyle = new GC.Spread.Sheets.Style(); monthPickerStyle.cellButtons = [ { imageType: GC.Spread.Sheets.ButtonImageType.dropdown, command: "openMonthPicker", useButtonStyle: true, } ]; monthPickerStyle.dropDowns = [ { type: GC.Spread.Sheets.DropDownType.monthPicker, option: { startYear: startYear, stopYear: stopYear, height: height } } ]; return monthPickerStyle; } initSpread(spread) { let sheet = spread.getSheet(0); sheet.suspendPaint(); sheet.setText(1, 5, "Month Picker"); sheet.setStyle(2, 5, this.createMonthPickerStyle(2009, 2019, 300)); sheet.setText(1, 11, "Month Picker"); sheet.setStyle(2, 11, this.createMonthPickerStyle(1970, 2030, 400)); sheet.resumePaint(); spread.commandManager().execute({ cmd: "openMonthPicker", row: 2, col: 5, sheetName: "Sheet1" }); } }
<!doctype html> <html style="height:100%;font-size:14px;"> <head> <meta charset="utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0" /> <link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css"> <!-- SystemJS --> <script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script> <script src="systemjs.config.js"></script> <script> System.import('$DEMOROOT$/en/lib/react/license.js').then(function () { System.import('./src/app'); }); </script> </head> <body> <div id="app"></div> </body> </html>
.sample-tutorial { position: relative; height: 100%; overflow: hidden; } .sample-spreadsheets { width: 100%; height: 100%; overflow: hidden; float: left; } body { position: absolute; top: 0; bottom: 0; left: 0; right: 0; } #app { height: 100%; }
(function (global) { System.config({ transpiler: 'plugin-babel', babelOptions: { es2015: true, react: true }, meta: { '*.css': { loader: 'css' } }, paths: { // paths serve as alias 'npm:': 'node_modules/' }, // map tells the System loader where to look for things map: { '@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js', '@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js', '@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js', 'react': 'npm:react/umd/react.production.min.js', 'react-dom': 'npm:react-dom/umd/react-dom.production.min.js', 'css': 'npm:systemjs-plugin-css/css.js', 'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js', 'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js' }, // packages tells the System loader how to load when no filename and/or no extension packages: { src: { defaultExtension: 'jsx' }, "node_modules": { defaultExtension: 'js' }, } }); })(this);